Bug 1592325 - [3proxy] Drop requirements for 'initscripts' & drop 'sysvinit' subpackage from specfile
Summary: [3proxy] Drop requirements for 'initscripts' & drop 'sysvinit' subpackage fro...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: 3proxy
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1592330
TreeView+ depends on / blocked
 
Reported: 2018-06-18 12:39 UTC by David Kaspar [Dee'Kej]
Modified: 2018-11-18 21:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-18 21:38:04 UTC
Type: Bug


Attachments (Terms of Use)

Description David Kaspar [Dee'Kej] 2018-06-18 12:39:59 UTC
Hello!

Description of problem:

Your package is requiring the 'initscripts' package in its specfile, because of %{_sysconfdir}/NetworkManager/dispatcher.d/ folder. That folder is no longer part of initscripts (the functionality has been dropped). Please, remove the requirement for 'initscripts' during your next (re)build. Thank you.

----------------------

Also, you're apparently providing an initscript for 3proxy, for which you do not have the FESCo exception (only initscripts should have it ATM):

https://fedoraproject.org/wiki/Packaging:Guidelines#Initscripts

Therefore I ask you to either drop the 'sysvinit' subpackage, or make it conditional in a way the initscript does not get installed on Fedora. In case you have only the initscripts for your service, then you will have to convert the service into systemd unit.

Version-Release number of selected component (if applicable):
3proxy-0.8.2-6.fc28

Additional info:
This change is needed only for Rawhide (F29), do not backport it to F28 or F27.

Thanks! :)

Comment 1 Jan Kurik 2018-08-14 10:55:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.


Note You need to log in before you can comment on or make changes to this bug.